Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 3060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 3061)
@@ -20,30 +20,33 @@
 import org.txm.searchengine.core.Selection;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.OSDetector;
 import org.txm.utils.Sh;
 import org.txm.utils.logger.Log;
 
 public class CQPSearchEngine extends SearchEngine {
-
+	
 	public static final String NAME = "CQP";
-
+	
 	/**
 	 * initialization state
 	 */
 	boolean state = false;
+	
 	boolean useNetCQi = false;
-
+	
 	@Override
 	public String getName() {
 		return CQPSearchEngine.NAME;
 	}
-
+	
 	/**
 	 * Starts the corpus engine if not remove then launch cqpserver.
 	 *
@@ -51,92 +54,99 @@
 	 */
 	@Override
 	public boolean start(IProgressMonitor monitor) throws Exception {
-
+		
 		boolean cqiserverok = false;
-
+		
 		if (monitor != null) {
 			monitor.subTask("Starting CQP Engine...");
 		}
-
+		
 		CorpusManager.cleanCorpora();// to be sure to call cqpserver
-
+		
 		useNetCQi = CQPLibPreferences.getInstance().getBoolean(CQPLibPreferences.CQI_NETWORK_MODE);
-
+		
 		Log.fine("Killing CQP processes if any...");
 		killSearchEngine();
-
+		
 		boolean remote = CQPLibPreferences.getInstance().getBoolean(CQPLibPreferences.CQI_SERVER_IS_REMOTE);
 		state = false;
 		// test if must-have properties for CWB are set
-
+		
 		String init_path = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE);
 		if (init_path.length() > 0 && !new File(init_path).exists()) {
 			Log.warning(TXMCoreMessages.bind("Warning: the given CQP init file path can not be found in {0}.", init_path));
 			init_path = null;
 		}
-
+		
 		if (!remote) {
-
+			
 			if (!useNetCQi) {
 				try {
 					cqiServer = new MemCqiServer("",  //$NON-NLS-1$
-							init_path, 
+							init_path,
 							CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_ADDITIONAL_OPTIONS)
-							+ " -P " + CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT), //$NON-NLS-1$
+									+ " -P " + CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT), //$NON-NLS-1$
 							Boolean.parseBoolean(CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_MONITOR_OUTPUT)));
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					// TODO Auto-generated catch block
 					org.txm.utils.logger.Log.printStackTrace(e);
 				}
-			} else {
-
+			}
+			else {
+				
 				String exec_path = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE);
-
+				
 				if (exec_path == null || exec_path.length() == 0 || new File(exec_path).exists()) {
 					Log.severe(TXMCoreMessages.bind("Error: the '{0}' preference is not set.", CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE));
 				}
-				//				if (new File(exec_path).exists()) {
-				//					System.out.println("Error: the '"+CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE+"' preference is not set.");
-				//				}
-
+				// if (new File(exec_path).exists()) {
+				// System.out.println("Error: the '"+CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE+"' preference is not set.");
+				// }
+				
 				cqiServer = new NetCqiServer(exec_path,
 						"",  //$NON-NLS-1$
-						init_path, 
+						init_path,
 						CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_ADDITIONAL_OPTIONS)
-						+ " -P " + CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT), //$NON-NLS-1$
+								+ " -P " + CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT), //$NON-NLS-1$
 						CQPLibPreferences.getInstance().getBoolean(CQPLibPreferences.CQI_SERVER_MONITOR_OUTPUT));
 			}
-
+			
 			if (cqiServer != null) {
 				cqiserverok = cqiServer.start();
 			}
-
+			
 		}
-
+		
 		// create cqi client
 		try {
 			if (cqiserverok) {
 				if (!useNetCQi) {
 					try {
 						cqiClient = new MemCqiClient((MemCqiServer) cqiServer);
-					} catch(Exception e) {
+					}
+					catch (Exception e) {
 						Log.severe(TXMCoreMessages.failedToStartMemCqiClientColon);
 						Log.printStackTrace(e);
 						cqiserverok = false;
 					}
-				} else {
+				}
+				else {
 					int port = CQPLibPreferences.getInstance().getInt(CQPLibPreferences.CQI_SERVER_PORT);
 					String host = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_HOST);
 					cqiClient = new NetCqiClient(host, port);
 				}
 			}
-		} catch (NumberFormatException e1) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonTheConnexionToTheServerFailedColonWrongPortFormat, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT))); 
-		} catch (ServerNotFoundException e1) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonWhileConnectionToSearchEngineWithTheFollowingParametersColon, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_HOST),
-					CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT))); 
 		}
-
+		catch (NumberFormatException e1) {
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonTheConnexionToTheServerFailedColonWrongPortFormat, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)));
+		}
+		catch (ServerNotFoundException e1) {
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonWhileConnectionToSearchEngineWithTheFollowingParametersColon, CQPLibPreferences.getInstance().getString(
+					CQPLibPreferences.CQI_SERVER_HOST),
+					CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)));
+		}
+		
 		// try connecting to the CWB server
 		try {
 			if (cqiserverok) {
@@ -144,12 +154,13 @@
 				String password = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PASSWORD);
 				state = cqiClient.connect(login, password);
 			}
-		} catch (Exception e1) {
+		}
+		catch (Exception e1) {
 			Log.severe(Log.toString(e1));
 		}
-
+		
 		if (state == false) {
-			Log.severe(TXMCoreMessages.errorWhileConnectingToSearchEngine); 
+			Log.severe(TXMCoreMessages.errorWhileConnectingToSearchEngine);
 			if (cqiClient instanceof NetCqiClient) {
 				Log.severe(TXMCoreMessages.bind(TXMCoreMessages.wrongLoginOrPasswordOrPortColon, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_LOGIN),
 						CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PASSWORD), CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_HOST),
@@ -158,13 +169,14 @@
 			if (cqiServer != null && cqiServer instanceof NetCqiServer) {
 				Log.severe(TXMCoreMessages.bind(TXMCoreMessages.orTheEngineWasNotStartedWithTheCommandLineColon, cqiServer.getLastCmdLine()));
 			}
-		} else {
+		}
+		else {
 			if (cqiServer == null || cqiServer instanceof NetCqiServer)
-				Log.fine(TXMCoreMessages.connectedToCQP); 
+				Log.fine(TXMCoreMessages.connectedToCQP);
 		}
-
+		
 		CorpusManager.setCqiClient(cqiClient);
-
+		
 		// wait for CQPSERVER TO BE READY
 		int scount = 0;
 		try {
@@ -175,74 +187,76 @@
 				CorpusManager.getCorpusManager().getCorpora();
 				scount++;
 				if (scount >= 10) {
-					Log.fine(TXMCoreMessages.endOfCQPWaitTest); 
+					Log.fine(TXMCoreMessages.endOfCQPWaitTest);
 					break;
 				}
-			} while (CorpusManager.getCorpusManager().getCorpora().size() == 0);
-		} catch (Exception e) {
+			}
+			while (CorpusManager.getCorpusManager().getCorpora().size() == 0);
+		}
+		catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorWhileWaitingForCQP, e));
-		} 
-
-		// FIXME: SJ: this test should be moved at start of this method? before running CQP? 
+		}
+		
+		// FIXME: SJ: this test should be moved at start of this method? before running CQP?
 		if (Toolbox.workspace == null) {
 			Log.severe("Can't start CQP with workspace not ready.");
 			return false;
 		}
-
-		////		 initialize pre-configured subcorpus and partition of corpus registered in the default.xml workspace file
-		//		System.out.print(TXMCoreMessages.Toolbox_workspace_init);
-		//		for (Project b : Toolbox.workspace.getProjects()) {
-		//			
-		//			Log.info("Loading CQP corpora of " + b.getName() + " corpus...");
-		//			
-		//			if (!loadCQPCorpora(b, monitor)) {
-		//				Log.severe("Failed to load CQP corpora of " + b.getName() + " corpus.");
-		//			}
-		//		}
-
+		
+		//// initialize pre-configured subcorpus and partition of corpus registered in the default.xml workspace file
+		// System.out.print(TXMCoreMessages.Toolbox_workspace_init);
+		// for (Project b : Toolbox.workspace.getProjects()) {
+		//
+		// Log.info("Loading CQP corpora of " + b.getName() + " corpus...");
+		//
+		// if (!loadCQPCorpora(b, monitor)) {
+		// Log.severe("Failed to load CQP corpora of " + b.getName() + " corpus.");
+		// }
+		// }
+		
 		Log.fine(TXMCoreMessages.common_done);
-
+		
 		return state;
 	}
-
-	//	public boolean loadCQPCorpora(Project base, IProgressMonitor monitor) {
-	//		//System.out.println("Load corpus from params: "+params.corpora);
-	//		for (String corpusname : base.getProjectParameters().corpora.keySet()) {
-	//			Element c = base.getProjectParameters().corpora.get(corpusname);
-	//			try {
-	//				MainCorpus corp = CorpusManager.getCorpusManager().getCorpus(corpusname);
-	//				if (monitor != null) {
-	//					monitor.subTask("Loading " + corp + " subcorpora and partitions of corpus " + corpusname + "...");
-	//				}
-	//				corp.setSelfElement(c);
-	//				corp.setParent(base);
-	//				corp.load(); // don't load corpus right now, wait for the search engine to be ready
-	//				base.addChild(corp);
-	//				if (!corp.getMetadatas().containsKey("lang")) { //$NON-NLS-1$
-	//					corp.setAttribute("lang", c.getAttribute("lang")); //$NON-NLS-1$ //$NON-NLS-2$
-	//				}
-	//			} catch (Exception e) {
-	//				System.out.println(e.getLocalizedMessage());
-	//				org.txm.utils.logger.Log.printStackTrace(e);
-	//				return false;
-	//			}
-	//		}
-	//		return true;
-	//	}
-
+	
+	// public boolean loadCQPCorpora(Project base, IProgressMonitor monitor) {
+	// //System.out.println("Load corpus from params: "+params.corpora);
+	// for (String corpusname : base.getProjectParameters().corpora.keySet()) {
+	// Element c = base.getProjectParameters().corpora.get(corpusname);
+	// try {
+	// MainCorpus corp = CorpusManager.getCorpusManager().getCorpus(corpusname);
+	// if (monitor != null) {
+	// monitor.subTask("Loading " + corp + " subcorpora and partitions of corpus " + corpusname + "...");
+	// }
+	// corp.setSelfElement(c);
+	// corp.setParent(base);
+	// corp.load(); // don't load corpus right now, wait for the search engine to be ready
+	// base.addChild(corp);
+	// if (!corp.getMetadatas().containsKey("lang")) { //$NON-NLS-1$
+	// corp.setAttribute("lang", c.getAttribute("lang")); //$NON-NLS-1$ //$NON-NLS-2$
+	// }
+	// } catch (Exception e) {
+	// System.out.println(e.getLocalizedMessage());
+	// org.txm.utils.logger.Log.printStackTrace(e);
+	// return false;
+	// }
+	// }
+	// return true;
+	// }
+	
 	@Override
 	public boolean initialize() {
 		// all initialization done in the start method because we need CQP executable/lib to restart from the beginning
 		return true;
 	}
-
+	
 	/** The CQI server. */
 	private static AbstractCqiServer cqiServer;
-
+	
 	/** The CQI client. */
 	private static AbstractCqiClient cqiClient;
-
+	
 	/**
 	 * Sets the CQI server.
 	 *
@@ -251,7 +265,7 @@
 	public static void setCqiServer(AbstractCqiServer cqiServer) {
 		CQPSearchEngine.cqiServer = cqiServer;
 	}
-
+	
 	/**
 	 * Gets the cqi client.
 	 *
@@ -260,7 +274,7 @@
 	public static AbstractCqiClient getCqiClient() {
 		return cqiClient;
 	}
-
+	
 	/**
 	 * Sets the cqi client.
 	 *
@@ -269,7 +283,7 @@
 	public static void setCqiClient(NetCqiClient cqiClient) {
 		CQPSearchEngine.cqiClient = cqiClient;
 	}
-
+	
 	/**
 	 * Gets the CQI server.
 	 *
@@ -278,7 +292,7 @@
 	public static AbstractCqiServer getCqiServer() {
 		return cqiServer;
 	}
-
+	
 	/**
 	 * Shuts the toolbox searchengine down.
 	 */
@@ -286,36 +300,37 @@
 	public boolean stop() {
 		try {
 			if (cqiClient != null) {
-
+				
 				if (cqiClient instanceof MemCqiClient) {
-					for (String name : ((MemCqiClient)cqiClient).listCorpora()) {
-						((MemCqiClient)cqiClient).dropCorpus(name);
+					for (String name : ((MemCqiClient) cqiClient).listCorpora()) {
+						((MemCqiClient) cqiClient).dropCorpus(name);
 					}
 				}
 				cqiClient.disconnect();
 			}
-
+			
 			if (cqiServer != null && cqiServer.isRunning()) {
 				cqiServer.stop();
-
+				
 				CorpusManager.clean();
 				if (cqiServer instanceof NetCqiServer) {
 					killSearchEngine();
 				}
-
+				
 				cqiClient = null;
 				cqiServer = null;
 			}
 			System.gc();
-
+			
 			state = false;
-		} catch (Exception e) {
-			Log.severe("Error while closing CQP: "+e.getLocalizedMessage());
+		}
+		catch (Exception e) {
+			Log.severe("Error while closing CQP: " + e.getLocalizedMessage());
 			return false;
 		}
 		return !state;
 	}
-
+	
 	/**
 	 * kill cqpserver process.
 	 */
@@ -328,7 +343,8 @@
 					p.waitFor();
 					p = Runtime.getRuntime().exec("taskkill /IM cqpserver.exe /F"); //$NON-NLS-1$
 					p.waitFor();
-				} catch (IOException e) {
+				}
+				catch (IOException e) {
 					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColon, Log.toString(e)));
 					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColon, Log.toString(e)));
 					try {
@@ -336,24 +352,28 @@
 						p.waitFor();
 						p = Runtime.getRuntime().exec("tskill cqpserver.exe"); //$NON-NLS-1$
 						p.waitFor();
-					} catch (IOException e2) {
+					}
+					catch (IOException e2) {
 						e2.printStackTrace();
 						Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColon, Log.toString(e2)));
 						System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColon, Log.toString(e2)));
-					} catch (InterruptedException e3) {
+					}
+					catch (InterruptedException e3) {
 						e3.printStackTrace();
 						Log.severe(Log.toString(e3));
 						System.out.println(Log.toString(e3));
 					}
-				} catch (InterruptedException e) {
+				}
+				catch (InterruptedException e) {
 					Log.severe(TXMCoreMessages.bind("Error while closing CQP: {0}.", e.getLocalizedMessage()));
 					e.printStackTrace();
 					System.out.println(Log.toString(e));
 				}
-			} else { // Mac, Linux
-				String cmd = "kill `ps aux | grep cqpserver | awk '/-P "+CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)+"/ {print $2}'`"; // //$NON-NLS-1$ //$NON-NLS-2$
+			}
+			else { // Mac, Linux
+				String cmd = "kill `ps aux | grep cqpserver | awk '/-P " + CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT) + "/ {print $2}'`"; // //$NON-NLS-1$ //$NON-NLS-2$
 				try {
-					//Process p = Runtime.getRuntime().exec("killall -9 cqpserver"); //$NON-NLS-1$
+					// Process p = Runtime.getRuntime().exec("killall -9 cqpserver"); //$NON-NLS-1$
 					// System.out.println("kill `ps aux | grep cqpserver | awk '/-P "
 					// + CQPPreferences.getInstance().getString(CQI_SERVER_PORT) + "/ {print $2}'`");
 					// String[] args =
@@ -368,8 +388,9 @@
 					sh.sh();
 					// Runtime.getRuntime().exec("sh kill `ps aux | grep cqpserver | awk '/-P "
 					// + CQPPreferences.getInstance().getString(CQI_SERVER_PORT) + "/ {print $2}'`");
-
-				} catch (Exception e) {
+					
+				}
+				catch (Exception e) {
 					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExec, cmd, Log.toString(e)));
 					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExec, cmd, Log.toString(e)));
 					org.txm.utils.logger.Log.printStackTrace(e);
@@ -377,7 +398,7 @@
 			}
 		}
 	}
-
+	
 	/**
 	 * Restart the toolbox's searchengine.
 	 *
@@ -389,12 +410,13 @@
 			Thread.sleep(10);
 			ret = ret && start(null);
 			return ret;
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.bind("Error while restarting CQP: {0}.", e.getLocalizedMessage()));
 		}
 		return false;
 	}
-
+	
 	/**
 	 * test if searchEngine is initialized.
 	 *
@@ -403,73 +425,81 @@
 	public static boolean isInitialized() {
 		return Toolbox.getEngineManager(EngineType.SEARCH).getEngine(CQPSearchEngine.NAME).isRunning();
 	}
-
+	
 	@Override
 	public boolean isRunning() {
 		return state;
 	}
-
+	
 	@Override
 	public Selection query(CorpusBuild corpus, IQuery query, String name, boolean saveQuery) throws CqiClientException {
 		if (query instanceof CQLQuery && corpus instanceof CQPCorpus) {
-			return ((CQPCorpus)corpus).query((CQLQuery)query, name, saveQuery);
-		} else {
-			return new EmptySelection(query); 
+			return ((CQPCorpus) corpus).query((CQLQuery) query, name, saveQuery);
 		}
+		else {
+			return new EmptySelection(query);
+		}
 	}
-
+	
 	@Override
 	public IQuery newQuery() {
 		return new CQLQuery(""); //$NON-NLS-1$
 	}
-
+	
 	@Override
 	public boolean hasIndexes(CorpusBuild corpus) {
 		if (corpus instanceof CQPCorpus) return true;
-
+		
 		try {
 			String id = corpus.getID();
-
+			
 			return CorpusManager.getCorpusManager().getCorpus(id) != null;
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 			return false;
 		}
 	}
-
+	
 	@Override
 	public void notify(TXMResult r, String state) {
 		// TODO Auto-generated method stub
 	}
-
+	
 	public static CQPSearchEngine getEngine() {
 		return (CQPSearchEngine) Toolbox.getEngineManager(EngineType.SEARCH).getEngine(CQPSearchEngine.NAME);
 	}
-
+	
 	@Override
 	public String getValueForProperty(Match match, SearchEngineProperty property) {
 		if (!(property instanceof Property)) return null;
-		Property p = (Property)property;
+		Property p = (Property) property;
 		try {
 			return org.txm.searchengine.cqp.corpus.query.Match.getValueForProperty(p, match.getStart());
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		return null;
 	}
-
+	
 	@Override
 	public List<String> getValuesForProperty(Match match, SearchEngineProperty property) {
 		if (!(property instanceof Property)) return null;
 		
-		Property p = (Property)property;
+		Property p = (Property) property;
 		try {
 			return org.txm.searchengine.cqp.corpus.query.Match.getValuesForProperty(p, match);
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		return null;
 	}
-}
\ No newline at end of file
+	
+	public List<String> getValuesForProperty(int[] positions, WordProperty property) throws CqiClientException {
+		return org.txm.searchengine.cqp.corpus.query.Match.getValuesForProperty(property, positions);
+	}
+}
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 3060)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 3061)
@@ -32,7 +32,7 @@
 	public static final String KEYWORD_VIEW_PROPERTIES = "keyword_view_properties"; //$NON-NLS-1$
 	
 	public static final String RIGHT_VIEW_PROPERTIES = "right_view_properties"; //$NON-NLS-1$
-		
+	
 	/** The default value is "*" -> The concordance will use ref or text_id */
 	public static final String VIEW_REFERENCE_PATTERN = "view_reference_pattern"; //$NON-NLS-1$
 	
@@ -40,8 +40,6 @@
 	
 	public static final String LIMIT_CQL = "limit_cql"; //$NON-NLS-1$
 	
-	public static final String TOP_INDEX = "top_index"; //$NON-NLS-1$
-	
 	/**
 	 * Gets the instance.
 	 * 
@@ -61,7 +59,7 @@
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.putInt(N_LINES_PER_PAGE, 100);
-		preferences.putInt(TOP_INDEX, 0);
+		preferences.putInt(INDEX, 0);
 		preferences.putInt(LEFT_CONTEXT_SIZE, 8);
 		preferences.putInt(RIGHT_CONTEXT_SIZE, 12);
 		
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3060)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3061)
@@ -114,8 +114,6 @@
 	
 	private ArrayList<WordProperty> availableRightSortProperties;
 	
-	
-	
 	/** The query. */
 	@Parameter(key = ConcordancePreferences.QUERY)
 	protected IQuery pQuery;
@@ -150,7 +148,7 @@
 	protected Integer pRightContextSize;
 	
 	/** The top line index shown and the number of lines to show per page */
-	@Parameter(key = ConcordancePreferences.TOP_INDEX)
+	@Parameter(key = ConcordancePreferences.INDEX)
 	protected Integer pTopIndex;
 	
 	@Parameter(key = ConcordancePreferences.N_LINES_PER_PAGE)
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3060)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3061)
@@ -649,11 +649,11 @@
 	}
 	
 	/**
-	 * Gets the keyword ids.
+	 * Gets the keyword IDs.
 	 *
-	 * @return the keyword ids
+	 * @return the keyword IDs
 	 */
-	public Collection<? extends String> getKeywordIds() {
+	public List<? extends String> getKeywordIds() {
 		return this.keywordsIdValues;
 	}
 	
